package com.foreverwin.mesnac.production.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 辅料使用记录表
 * </p>
 *
 * @author Philip
 * @since 2021-08-12
 */

@TableName("Z_ACCESSORY_LOG")

public class AccessoryLog extends Model<AccessoryLog> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 站点
     */
   @TableField("SITE")
   private String site;
    /**
     * 车间
     */
   @TableField("WORK_CENTER")
   private String workCenter;
    /**
     * 工单
     */
   @TableField("SHOP_ORDER")
   private String shopOrder;
    /**
     * 产品条码
     */
   @TableField("SFC")
   private String sfc;
    /**
     * 工序
     */
   @TableField("OPERATION")
   private String operation;
    /**
     * 步骤
     */
   @TableField("STEP_ID")
   private String stepId;
    /**
     * 资源
     */
   @TableField("RESRCE")
   private String resrce;
    /**
     * 标签
     */
   @TableField("LABEL")
   private String label;
    /**
     * 批次
     */
   @TableField("BATCH")
   private String batch;
    /**
     * 物料
     */
   @TableField("ITEM")
   private String item;
    /**
     * 物料版本
     */
   @TableField("REVISION")
   private String revision;
    /**
     * 使用数量
     */
   @TableField("QTY")
   private BigDecimal qty;
    /**
     * 创建人
     */
   @TableField("CREATE_USER")
   private String createUser;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;

   @TableField(exist = false)
   private String description;

   public String getDescription() {
      return description;
   }

   public void setDescription(String description) {
      this.description = description;
   }

   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getWorkCenter() {
      return workCenter;
   }

   public void setWorkCenter(String workCenter) {
      this.workCenter = workCenter;
   }

   public String getShopOrder() {
      return shopOrder;
   }

   public void setShopOrder(String shopOrder) {
      this.shopOrder = shopOrder;
   }

   public String getSfc() {
      return sfc;
   }

   public void setSfc(String sfc) {
      this.sfc = sfc;
   }

   public String getOperation() {
      return operation;
   }

   public void setOperation(String operation) {
      this.operation = operation;
   }

   public String getStepId() {
      return stepId;
   }

   public void setStepId(String stepId) {
      this.stepId = stepId;
   }

   public String getResrce() {
      return resrce;
   }

   public void setResrce(String resrce) {
      this.resrce = resrce;
   }

   public String getLabel() {
      return label;
   }

   public void setLabel(String label) {
      this.label = label;
   }

   public String getBatch() {
      return batch;
   }

   public void setBatch(String batch) {
      this.batch = batch;
   }

   public String getItem() {
      return item;
   }

   public void setItem(String item) {
      this.item = item;
   }

   public String getRevision() {
      return revision;
   }

   public void setRevision(String revision) {
      this.revision = revision;
   }

   public BigDecimal getQty() {
      return qty;
   }

   public void setQty(BigDecimal qty) {
      this.qty = qty;
   }

   public String getCreateUser() {
      return createUser;
   }

   public void setCreateUser(String createUser) {
      this.createUser = createUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

public static final String HANDLE = "HANDLE";

public static final String SITE = "SITE";

public static final String WORK_CENTER = "WORK_CENTER";

public static final String SHOP_ORDER = "SHOP_ORDER";

public static final String SFC = "SFC";

public static final String OPERATION = "OPERATION";

public static final String STEP_ID = "STEP_ID";

public static final String RESRCE = "RESRCE";

public static final String LABEL = "LABEL";

public static final String BATCH = "BATCH";

public static final String ITEM = "ITEM";

public static final String REVISION = "REVISION";

public static final String QTY = "QTY";

public static final String CREATE_USER = "CREATE_USER";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "AccessoryLog{" +
         "handle = " + handle +
         ", site = " + site +
         ", workCenter = " + workCenter +
         ", shopOrder = " + shopOrder +
         ", sfc = " + sfc +
         ", operation = " + operation +
         ", stepId = " + stepId +
         ", resrce = " + resrce +
         ", label = " + label +
         ", batch = " + batch +
         ", item = " + item +
         ", revision = " + revision +
         ", qty = " + qty +
         ", createUser = " + createUser +
         ", createdDateTime = " + createdDateTime +
         "}";
   }
}